# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Package implementing the main user interface and general purpose dialogs.

This package contains the main user interface and some general purpose
dialogs as well as dialogs not fitting the other more specific categories. 
These modules are:

    Browser -- This implements a widget used to display files in a
        hierarchical tree.
        
    FindFileDialog -- This implement a dialog to search for text in
        files.
        
    LogView and LogWidget -- These implement a special tabwidget used to
        redirect output from stdout and stderr.
        
    Shell -- This implements a widget used to show a Python shell.
    
    SBViewer -- A tabwidget used to show the browser, the variables
        viewers and the exception logger.
        
    CodeMetricsDialog -- This implements a dialog to show some 
        simple code metric data.
        
    PyCoverageDialog -- This implements a dialog to show code coverage
        information and to perform some actions on them.
        
    PyProfileDialog -- This implements a dialog to show profiling information.
    
    ToolConfigurationDialog -- This implement a dialog used to configure
        the tools menu.
"""
